QT -= gui

target.path=/root
INSTALLS+=target

CONFIG += c++11 console
CONFIG -= app_bundle

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += main.cpp \
    moteurs.cpp \
    gyroscope.cpp \
    RTIMULib/IMUDrivers/RTHumidity.cpp \
    RTIMULib/IMUDrivers/RTHumidityHTS221.cpp \
    RTIMULib/IMUDrivers/RTHumidityHTU21D.cpp \
    RTIMULib/IMUDrivers/RTIMU.cpp \
    RTIMULib/IMUDrivers/RTIMUBMX055.cpp \
    RTIMULib/IMUDrivers/RTIMUBNO055.cpp \
    RTIMULib/IMUDrivers/RTIMUGD20HM303D.cpp \
    RTIMULib/IMUDrivers/RTIMUGD20HM303DLHC.cpp \
    RTIMULib/IMUDrivers/RTIMUGD20M303DLHC.cpp \
    RTIMULib/IMUDrivers/RTIMULSM9DS0.cpp \
    RTIMULib/IMUDrivers/RTIMULSM9DS1.cpp \
    RTIMULib/IMUDrivers/RTIMUMPU9150.cpp \
    RTIMULib/IMUDrivers/RTIMUMPU9250.cpp \
    RTIMULib/IMUDrivers/RTIMUNull.cpp \
    RTIMULib/IMUDrivers/RTPressure.cpp \
    RTIMULib/IMUDrivers/RTPressureBMP180.cpp \
    RTIMULib/IMUDrivers/RTPressureLPS25H.cpp \
    RTIMULib/IMUDrivers/RTPressureMS5611.cpp \
    RTIMULib/IMUDrivers/RTPressureMS5637.cpp \
    RTIMULib/RTFusion.cpp \
    RTIMULib/RTFusionKalman4.cpp \
    RTIMULib/RTFusionRTQF.cpp \
    RTIMULib/RTIMUAccelCal.cpp \
    RTIMULib/RTIMUHal.cpp \
    RTIMULib/RTIMUMagCal.cpp \
    RTIMULib/RTIMUSettings.cpp \
    RTIMULib/RTMath.cpp \
    gpio.cpp

HEADERS += \
    moteurs.h \
    gyroscope.h \
    RTIMULib/IMUDrivers/RTHumidity.h \
    RTIMULib/IMUDrivers/RTHumidityDefs.h \
    RTIMULib/IMUDrivers/RTHumidityHTS221.h \
    RTIMULib/IMUDrivers/RTHumidityHTU21D.h \
    RTIMULib/IMUDrivers/RTIMU.h \
    RTIMULib/IMUDrivers/RTIMUBMX055.h \
    RTIMULib/IMUDrivers/RTIMUBNO055.h \
    RTIMULib/IMUDrivers/RTIMUDefs.h \
    RTIMULib/IMUDrivers/RTIMUGD20HM303D.h \
    RTIMULib/IMUDrivers/RTIMUGD20HM303DLHC.h \
    RTIMULib/IMUDrivers/RTIMUGD20M303DLHC.h \
    RTIMULib/IMUDrivers/RTIMULSM9DS0.h \
    RTIMULib/IMUDrivers/RTIMULSM9DS1.h \
    RTIMULib/IMUDrivers/RTIMUMPU9150.h \
    RTIMULib/IMUDrivers/RTIMUMPU9250.h \
    RTIMULib/IMUDrivers/RTIMUNull.h \
    RTIMULib/IMUDrivers/RTPressure.h \
    RTIMULib/IMUDrivers/RTPressureBMP180.h \
    RTIMULib/IMUDrivers/RTPressureDefs.h \
    RTIMULib/IMUDrivers/RTPressureLPS25H.h \
    RTIMULib/IMUDrivers/RTPressureMS5611.h \
    RTIMULib/IMUDrivers/RTPressureMS5637.h \
    RTIMULib/RTFusion.h \
    RTIMULib/RTFusionKalman4.h \
    RTIMULib/RTFusionRTQF.h \
    RTIMULib/RTIMUAccelCal.h \
    RTIMULib/RTIMUCalDefs.h \
    RTIMULib/RTIMUHal.h \
    RTIMULib/RTIMULib.h \
    RTIMULib/RTIMULibDefs.h \
    RTIMULib/RTIMUMagCal.h \
    RTIMULib/RTIMUSettings.h \
    RTIMULib/RTMath.h \
    gpio.h

DISTFILES += \
    RTIMULib/RTIMULIB LICENSE

LIBS += -L/usr/lib/arm-linux-gnueabihf
LIBS += -l:librobotcontrol.so.1
