#ifndef GYROSCOPE_H
#define GYROSCOPE_H

#include <QObject>
#include <QTimer>
#include "RTIMULib/RTIMULib.h"

class Gyroscope : public QObject
{
    Q_OBJECT
public:
    explicit Gyroscope(double offset,double Te,QObject *parent = nullptr);

    int Te() const;

signals:
    void newVal(double);
public slots:

private slots:
    void process();
private:
    const double m_offset;
    const int m_Te;
    double m_val;
    RTIMUSettings *settings;
    RTIMU *imu;
    RTIMU_DATA imuData ;
    QTimer tictoc;
};

#endif // GYROSCOPE_H
