#include <QCoreApplication>
#include <QDebug>
#include "moteurs.h"
#include "gyroscope.h"
#include "gpio.h"
using namespace exploringRPi;

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    const int Te=4; // période d'échantillonnage

    Moteurs moteurs(1,2,false,true,&a);
    Gyroscope gyro(RTMATH_PI-0.08,Te,&a);

    // écrire la classe PID qui doit
    //   recevoir un signal (émis par le gyroscope)
    //   émettre un signal (reçu par les moteurs)

    PID regulAngle(2.0,0.03,100.0,Te,&a);

    // insérer les connections :
    //   gyroscope -> régulateur
    // et
    //   régulateur -> moteur

    return a.exec();
}
