#include "moteurs.h"
#include <rc/motor.h>
#include <rc/time.h>

#include <QDebug>

Moteurs::Moteurs(int posMoteurG, int posMoteurD,
                 bool reverseG, bool reverseD, QObject *parent)
        :QObject(parent), m_posMoteurD(posMoteurD), m_posMoteurG(posMoteurG),
                          m_reverseD(reverseD), m_reverseG(reverseG)
{
    m_vt=0;
    m_wr=0;
    m_pwmFreq = RC_MOTOR_DEFAULT_PWM_FREQ;
    if (rc_motor_init_freq(m_pwmFreq)) qDebug()<<"erreur d'initialisation des moteurs";
    else qDebug()<<"Fmli="<<m_pwmFreq;
}

void Moteurs::setVt(double vt)
{
    setVitesse(vt,m_wr);
}

void Moteurs::setVitesse(double vt, double wr)
{
    m_vt=vt;
    m_wr=wr;
    if (m_reverseD) m_vitMoteurD = -(m_vt+m_wr); else m_vitMoteurD = (m_vt+m_wr);
    if (m_reverseG) m_vitMoteurG = -(m_vt-m_wr); else m_vitMoteurG = (m_vt-m_wr);

    if (m_vitMoteurD>0.004)         m_vitMoteurD+=0.07;
    else if (m_vitMoteurD<-0.004)   m_vitMoteurD-=0.07;
    else                            m_vitMoteurD=0;
    if (m_vitMoteurG>0.004)         m_vitMoteurG+=0.07;
    else if (m_vitMoteurG<-0.004)   m_vitMoteurG-=0.07;
    else                            m_vitMoteurG=0;

    rc_motor_set(m_posMoteurG,m_vitMoteurG);
    rc_motor_set(m_posMoteurD,m_vitMoteurD);
    //qDebug()<<"vt="<<m_vt<<" wr="<<m_wr;
}
